Jump to content

Leaderboard

  1. BIGAL

    BIGAL

    Trusted Members


    • Points

      28

    • Content Count

      13,586


  2. dlanorh

    dlanorh

    Trusted Members


    • Points

      24

    • Content Count

      1,075


  3. SLW210

    SLW210

    Moderators


    • Points

      10

    • Content Count

      9,500


  4. rlx

    rlx

    Trusted Members


    • Points

      10

    • Content Count

      1,697



Popular Content

Showing content with the highest reputation since 08/23/2020 in all areas

  1. 3 points
    Sengna, you didn't drag the command bar, you merely stretched it. It is still covering your tabs. It appears that your command line is not docked nor is it locked into place. If it were locked you would not have been able to stretch the command line. If it were docked, it would not cover your tabs. Below are some helpful images. Before trying to move your command bar, click the aforementioned three bars in the lower left of the AutoCad window. Notice the list of selections. There is one called LOCKUI which means Lock User Interface. If it is not checked, you can move your AutoCad window elements including the command line. If it is checked you cannot move any of it. Once you get your command line docked, with the number of lines you need showing, go back and check LOCKUI so it won't move again.
  2. 2 points
    ;;;https://www.theswamp.org/index.php?topic=56258.0 ;; @Tharwat (defun c:Test (/ int sel ent) (and (or (/= 4 (logand 4 (cdr (assoc 70 (entget (tblobjname "LAYER" "wall")))) ) ) (alert "Layer name <wall> is locked ! unlock then try again" ) ) (setq int -1 sel (ssget "_X" (list '(0 . "LWPOLYLINE") '(8 . "wall") (cons 410 (getvar 'CTAB)) ) ) ) (setvar 'FILLETRAD 0.25) (while (setq int (1+ int) ent (ssname sel int) ) (command "_.FILLET" "_Polyline" ent) ) ) (princ) )
  3. 2 points
    I had a quiet afternoon so I wrote a pattern file for a Wood Flooring Hatch. It is based on a plank width of 150 drawing units, and lengths to suit your picture. One cannot have a completely random hatch pattern, but if the repeat spacing is large enough, the eye can get fooled. Here is the pattern file, and you will notice that at the end, instead of a blank line, one can put a line starting with a * and then one can put a credit for the creator. Save the file as WoodFloor.pat and put it where AutoCAD can find it. *WoodFloor, Wooden Flooring 0,0,0,0,150 90,125,0,0,3015,150,-300,150,-450 90,0,150,0,3015,150,-600,150,-150 90,280,750,0,3015,150,-900 90,470,300,0,3015,150,-900 90,565,600,0,3015,150,-900 90,752.5,900,0,3015,150,-900 90,941,150,0,3015,150,-900 90,1350,450,0,3015,150,-900 90,1412.5,750,0,3015,150,-900 90,1485,0,0,3015,150,-900 90,1697.5,300,0,3015,150,-900 90,1791,600,0,3015,150,-900 90,2074,900,0,3015,150,-900 90,2168,150,0,3015,150,-900 90,2546,750,0,3015,150,-900 90,2671,0,0,3015,150,-300,150,-450 90,2892,300,0,3015,150,-150,150,-600 *eldon, CADTutor Forum 2020
  4. 2 points
    OK, try this (defun rh:gbbu (obj / ll ur lst) (vlax-invoke-method obj 'getboundingbox 'll 'ur) (setq lst (mapcar 'vlax-safearray->list (list ll ur))) (cadr lst) );end_defun (vl-load-com) (defun c:test ( / sel ent el ur obj nobj lst ept npt) (while (setq sel (entsel "\nSelect Leader Text : ")) (setq el (entget (setq ent (car sel))) ur nil) (cond ( (= (cdr (assoc 0 el)) "TEXT") (setq ur (rh:gbbu (vlax-ename->vla-object ent)))) ( (= (cdr (assoc 0 el)) "MTEXT") (setq obj (vlax-ename->vla-object ent) nobj (vla-copy obj) ); (vl-cmdf "explode" (vlax-vla-object->ename nobj) "") (setq nobj (vlax-ename->vla-object (entlast)) ur (rh:gbbu nobj) );end_setq (vla-delete nobj) ) );end_cond (cond (ur (setq el (entget (setq ent (car (entsel "\nSelect Leader : "))))) (cond ( (= (cdr (assoc 0 el)) "LEADER") (setq obj (vlax-ename->vla-object ent) lst (mapcar 'cdr (vl-remove-if-not '(lambda (x) (= (car x) 10)) el)) ept (last lst) lst (cdr (reverse lst)) npt (list (car ur) (cadr ept) (caddr ept)) lst (reverse (cons npt lst)) ) (vlax-put obj 'coordinates (apply 'append lst)) ) );end_cond ) );end_cond );end_while (princ) );end_defun This works on your supplied drawing, and if the leader and text orientation are the same. You are ask to select the Leader Text, This can be "TEXT" or "MTEXT". You are then asked to select the Leader. This can only be a "LEADER" not an "MULTILEADER" The loop will continue until you make a null selection (select a blank area of the screen) on the "Select Leader Text" prompt
  5. 2 points
    Here's more information on symbols: Text Symbols and Special Characters Reference
  6. 2 points
    I can imagine that solution has some real potential in the Revit world, too. I'm hoping that it is not brand specific but rather something in the application that helps.
  7. 2 points
    Could you let us know which brand of beer, just in case anybody else has this problem in the future. This has the potential to be a very popular fix to any AutoCAD problems PS did you perhaps turn off the computer at the weekend and turn it back on on Monday (sometimes a reboot works - but the beer sounds better)
  8. 2 points
    I probably would have left them as 3D Solids then used PRESSPULL to add the windows quite easily.
  9. 2 points
    Try this ; add dimension values put answer in mtext ; By alanH Aug 2020 (vl-load-com) (defun c:adddims ( / lst x obj objt str) (setq lst '()) (while (setq ent (entsel "\nPick dimension enter to finish")) (setq obj (vlax-ename->vla-object (car ent))) (setq lst (cons (strcat "%<\\AcObjProp Object(%<\\_ObjId " (vlax-invoke-method (vla-get-Utility (vla-get-activedocument (vlax-get-acad-object))) 'GetObjectIdString obj :vlax-false) ">%).Measurement>%" ) lst )) ) (setq x -1) (setq str "%<\\AcExpr (") (repeat (- (length lst) 1) (setq str (strcat str (nth (setq x (+ x 1)) lst) "+")) ) (setq x (+ x 1)) (setq str (strcat str (nth x lst) ")>%")) (command "mtext" (getpoint "\nPick point" )(getpoint "\npick point") "a" "") (setq objt (vlax-ename->vla-object (entlast))) (vla-put-textstring objt str) (command "regen") (princ) ) (c:adddims) (princ "\nTo run again type adddims") Save to a file like adddims.lsp via notepad copy and paste, you can use Appload or drag and drop from windows explorer.
  10. 2 points
    Something doesn't seem correct with your screen shot, it appears to be cut off at the bottom. Take a screen shot with the window minimized. Try moving the window around to see if the bottom is off screen. You could try LAYOUTTAB = 1.
  11. 2 points
    Many thanks for the drawing, it was a big help. The problem was with the text width. It was picking up the width of the MTEXT text box, which I though I had accounted for. This should now work correctly. I was previously storing all the selected entities in a list to make deleting them easier. The lisp now checks any selected entity against the list. If you have already selected it a pop up alert will tell you it has already been selected. Hope this now works as you require. (defun rh:em_txt ( pt txt lyr sty tht xsf) (entmakex (list '(0 . "TEXT") '(100 . "AcDbEntity") '(100 . "AcDbText") (cons 10 pt) (cons 1 txt) (if lyr (cons 8 lyr)) (if sty (cons 7 sty)) (if tht (cons 40 tht)) (if xsf (cons 41 xsf)) );end_list );end_entmakex );end_defun (vl-load-com) (defun c:t+ ( / *error* ent elst el num xsf tot nlst sel pt txt) (defun *error* ( msg ) (if (not (wcmatch (strcase msg) "*BREAK*,*CANCEL*,*EXIT*")) (princ (strcat "\nAn Error : " msg " occurred."))) (princ) );end_defun (while (not tot) (setq el (entget (setq ent (car (entsel "\Select First Text Number Entity : "))))) (cond ( (wcmatch (cdr (assoc 0 el)) "*TEXT") (cond ( (= (cdr (assoc 0 el)) "TEXT") (setq num (atof (getpropertyvalue ent "TextString")) xsf (cdr (assoc 41 el)))) (t (setq num (atof (getpropertyvalue ent "Text")) xsf 1.0)) );end_cond (cond ( (zerop num) (setq num nil) (alert "Text Entity NOT a number")) (t (setq tot num))) ) (t (alert "Not a Text Entity")) );end_cond (cond (num (setq nlst (cons ent nlst)))) );end_while (while (setq sel (entsel "\nSelect Next Text Number Entity : ")) (setq elst (entget (setq ent (car sel)))) (cond ( (and (wcmatch (cdr (assoc 0 elst)) "*TEXT") (not (vl-position ent nlst))) (cond ( (= (cdr (assoc 0 elst)) "TEXT") (setq num (atof (getpropertyvalue ent "TextString")))) (t (setq num (atof (getpropertyvalue ent "Text")))) );end_cond (cond ( (zerop num) (setq num nil) (alert "Text Entity NOT a number"))) ) ( (vl-position ent nlst) (alert "Already Selected")) (t (alert "Not a Text Entity")) );end_cond (if num (setq tot (+ tot num) nlst (cons ent nlst) num nil)) );end_while (cond (tot (setq pt (getpoint "\nSelect Total Insertion Point : ") txt (if (zerop (rem tot 1.0)) (rtos tot 2 0) (rtos tot 2 3)) );end_setq (rh:em_txt pt txt (cdr (assoc 8 el)) (cdr (assoc 7 el)) (cdr (assoc 40 el)) xsf) (if nlst (foreach o (mapcar 'vlax-ename->vla-object nlst) (vla-delete o))) ) );end_cond (princ) );end_defun
  12. 2 points
    My AutoCAD 2000i runs great on Windows 10 Pro at home. Not sure why a company wouldn't spring for a newer version, in the grand scheme of things, it is relatively inexpensive. What is the use for CAD at your company?
  13. 2 points
    Wasn't that recommended in the first reply to your thread?
  14. 2 points
    If you have recently updated your AutoCAD it is possible that the windows file association is broken. Right click on a drawing and choose "Open With" from the drop down list and ensure it is set correctly.
  15. 2 points
    For a selection of lines the task 'Offset inside' makes no sense.
  16. 1 point
    this site has a special vba forum , think you should post there. I have close to zero experience with vba so I gonna do a wild guess : i = -1: Cells(0, 1) = "SNo.": Cells(1, 2) = "EASTING": Cells(1, 3) = "NORTHING": Cells(1, 4) = "ELEVATION": Cells(1, 5) = "Object Name": Cells(1, 6) = "Length": Cells(1, 7) = "Radius": I assume i=-1 is a counter and you probably use ...bladiebla (set i (i +1))... at some point. In lisp the first item in a list is number 0 , but , just guessing here , maybe vba / excel starts with 1? I don't have vba enabled in my autocad so I can't test it. I'm sure other users here use vba , I believe Bigal has some experience with vba and he respons to many of the questions posted on this forum so I wouldn't be surpised he will give you a (better) answer.
  17. 1 point
    Toe clearance refers to the space below the base cabinets in a kitchen. The damper is pictured below, in red, within the yellow cirlce.
  18. 1 point
    You need to set up where the lisp's are located as a search path in Autocad. Then you can use just the name, else need say [combineshadi]^C^C(LOAD "c:\\mylisp\\combineshadi") with full path to file. TYPE OPTIONS Add where the lisps are and also do Trusted paths, use the Add then browse.
  19. 1 point
    like this? (defun c:t1 ( ) (mapcar 'ditch-dash '("c:/Transmittals/drawing1-layout.pdf" "c:/Transmittals/drawing2-layout.pdf" "c:/Transmittals/drawing3-layout.pdf"))) (defun ditch-dash (s / i) (if (setq i (vl-string-position (ascii "-") s nil T))(strcat (substr s 1 i )(last (fnsplitl s))) s)) (setq test (c:t1))
  20. 1 point
    Try changing to this expects sq feet. area (/ (vla-get-area v-obj-new) 43560.0)
  21. 1 point
    1st question is why ? Think this has been done before.
  22. 1 point
    Can we assume you are using Multileaders? I believe that line is referred to as the landing or hook line. Try setting the landing distance scale factor (default=1). Do this through the Multileader Style Manager.
  23. 1 point
    I just realized you're using Civil3D. I have moved your question to the Civil3D section here: https://www.cadtutor.net/forum/forum/45-civil-3d-amp-ldd/
  24. 1 point
    Try (defun c:test ( / s ) (princ "\nSelect Block: ") (if (setq s (ssget "_+.:E:S" '((0 . "INSERT")))) (LM:ApplytoBlockObjects (vla-get-blocks (vla-get-activedocument (vlax-get-acad-object))) (vla-get-effectivename (vlax-ename->vla-object (ssname s 0))) '(lambda ( obj ) (if (= "AcDbWipeout" (vlax-get obj 'objectname)) (LM:movetobottom (list obj)))) ) ) (princ) ) (vl-load-com) (princ) This will not alter dynamic blocks or some blocks with attributes as these will be anonymous and the routine gets the effectivename property which will point to the parent block. If you want it to work on anonymous blocks change (vla-get-effectivename ...) to (vla-get-name...)
  25. 1 point
    Thank you for your kind feedback. Just hit the activation buttons from each program for more info.
  26. 1 point
    Did you post this request elsewhere ? I posted a different version that does lines and plines. XFALLPER.LSP
  27. 1 point
    You're trying to use an ellipse as part of your polyline, which won't work. The easiest thing to do would be to draw an arc to replace the ellipse, then you will be able to join it to your polyline.
  28. 1 point
    Attached is updated lisp to handle cases up to 2 decimal places. Bearing_and_DistancePolyH.lsp
  29. 1 point
    you're welcome Shadi. To be honest, I'm anything but quick. I just happen to have written something not so long ago that also was usefull for your problem but I also sometimes have writersblock and for weeks I struggle to get anything working. So I guess this was your lucky day you lucky ...
  30. 1 point
    I attached the complete lisp. I know it has been said many times before , this site's 1st goal is for learning (no. 2 is free software haha) Shadi.lsp
  31. 1 point
    Both your attributes have the same 'tag' name. Although AutoCAD will physically allow this it cannot work with attributes having the same tag they have to be unique or you will get errors. Just rename one of them.
  32. 1 point
    All newer AutoCAD seats come with the toolset now, no need to be a student, but yes free to students and you can get a 30 day trial of the individual tools sets as well.
  33. 1 point
    Why not use AutoCAD Architecture and use the included features? Can you post a .dwg with the wall?
  34. 1 point
    Yes it has a cost but does not use solids was coded over 30 years ago for plain Autocad, some hints the windows and doors trim and add line work above and below. Doing a render or shade makes walls and roofs solid. A big hint Thickness then draw a line use -VPOINT 1,1,1 to see in 3d Like others if using solids leave as solid and subtract objects or as suggested press pull.
  35. 1 point
    This may be useful. VECTORIZE.lsp
  36. 1 point
    It looks like the BR (Block Rename) option in Lee's lisp would be a pretty painless way to do this.
  37. 1 point
    I am pretty sure that your Model and Layout are hidden. Sometimes due to unconditional works and we are in hurry all day long, we click something that results to hide some features and at the end we dont know why it suddenly hide or gone. My recommendations is try to REINSTALL your CAD software and be vigilant on your next couple of works.
  38. 1 point
    It's currently setup so that if you select a blank area of the screen this is deemed the end of selection. This is the easiest way to control and exit the loop so you have to ensure the required text is inside the pick box. There are three options : 1. Increase the size of the pickbox and reset it on exit. (find a size that suits and eliminates miss picks) 2. Have it ask a "Select Another" question on every iteration of the loop. 3. Change the selection process completely to a selection set pick. This would work if all the TEXT or MTEXT you want to select were on the same layer and would also aleviate the need to check for duplicate entries, but could result in missed items with no way to check. I leave the decision up to you. It's late here so I'm off to bed, ansd will make any changes when I have time tomorrow morning.
  39. 1 point
    The most popular configuration for a space frame is based on a pyramid cell, highlighted in red below. Is that what you seek to construct? If so create a simple single line rectangular 3D grid 60 x 60 x 36 and use it to layout your steel tubes.
  40. 1 point
    Do you have your command line docked? If your command line is floating, it could be covering the model and layout tabs.
  41. 1 point
    Sorry but no last year all products 2010 and older reached 'end of life' and Autodesk will no longer activate those products. And if you wish to try and find some illegal method to try and bypass that then looking in Forums is probably not such a good idea. Just be very carefull what you ask for. Officially your only option if you wish to stay with AutoCAD is the new subscription. Otherwise look at some of the alternatives out there. Edit @f700es No that is official they will not activate older software and in March next year this will start to apply rapidly to more recent versions ie. everything else not covered by 'Product support lifecycle'. As an additional note, active versions should 'SHOULD" continue to work correctly so long as nothing happens to cause a problem, so you should watch out for Windows updates and that type of event causing activation issues.
  42. 1 point
    Very nice add your name or http link take credit for a big effort. This may be useful also ;************************************************************************************** ; VECTORIZE - Command to convert AutoCAD objects into 'lsp' functions to simplify * ; ========= the placement of vector images within DCL image tiles and buttons. * ; * ; created by Richard Willis, (aka 'Didge', find me at 'www.theswamp.org') *
  43. 1 point
    It's a pity it's not corona brewery
  44. 1 point
    That is cool Lee for a situation like this show the result, in this case 4 lines.
  45. 1 point
    When you extend a line by using the EXTEND command, there is no provision for inputting any dimension. EXTEND extends an object to meet another object. There is no setting in AutoCAD that accounts for this. However if you use the appropriate command to make a line a definite length, i.e. the LENGTHEN command, then you will have no trouble. Your thread title is plain wrong and might get you into trouble.
  46. 1 point
    I don't see where the color fits in... (defun c:test ( / dmz ly lynm obj wgt) (setq dmz (getvar 'dimzin)) (setvar 'dimzin 0) (while (setq ly (tblnext "layer" (null ly))) (setq ly (cdr (assoc 2 ly)) obj (tblobjname "layer" ly) wgt (cdr (assoc 370 (entget obj))) lynm (strcat (rtos (* wgt 0.01) 2 2) "-" ly) ) (entmod (subst (cons 2 lynm) (assoc 2 (entget obj)) (entget obj) ) ) ) (setvar 'dimzin dmz) ) The above should do it (I think... because I don't know how in my computer the line weight reads 50 instead of 0.50, so I just divide by 100)
  47. 1 point
    Have you checked that the template that you are using is a metric one? Have you checked what the plotting units are? A full sized A3 sheet in landscape orientation is 420mm by 297mm, and at 1 to 100, that would be equivalent to 42000mm by 29700mm. Ample room for your 10000mm by 5000mm building.
  48. 1 point
    I have shared a Dynamic Block and you can download through the link below and also can watch video that demonstrate it how to use 2D dynamic block to develop a flat pattern of a cone that has been oblique Section. I hope you will subscribe and Like my video/channel. Thanks Download Dynamic Block of Cone Development
  49. 1 point
    Salut Mircea Linear regression assure that the sum of differences between a series of values (e.g. y) and the approximation line is minimum. It is working good if data meet some criteria. For example, set your points around a vertical line, then use simple linear regression (like Lee's lisp. BTW Lee, your code is amazing). Here is my lisp, using a formula from another (surprisingly) domain. (defun C:TEST ( / vxv ss i n l o d dx dy a) (defun vxv (a b) (apply '+ (mapcar '* a b))) (if (setq ss (ssget '((0 . "POINT")))) (progn (repeat (setq i (sslength ss) n i) (setq l (cons (cdr (assoc 10 (entget (ssname ss (setq i (1- i)))))) l)) ) (setq o (mapcar '/ (apply 'mapcar (cons '+ l)) (list n n)) d (mapcar '(lambda (a) (mapcar '- o a)) l) dx (mapcar 'car d) dy (mapcar 'cadr d) a (* 0.5 (atan (* 2 (vxv dx dy)) (- (vxv dx dx) (vxv dy dy)))) ) (entmake (list '(0 . "XLINE") '(100 . "AcDbEntity") '(100 . "AcDbXline") '(62 . 1) (cons 10 o) (list 11 (cos a) (sin a) 0.0) ) ) ) ) (princ) )
  50. 1 point
    Surfing on cadalyst I found a perfect routine for it... This one will let you edit all attributes belonging to all those selected blocks.. and change Angle, height, style, Text and width factor at once.. The best of it is that is a temporary change that you can revert by using attsync is you want to return the attributes to their original shapes... Here it is eat.lsp
  • Newsletter

    Want to keep up to date with all our latest news and information?
    Sign Up
×
×
  • Create New...